/*
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
*/
/* 
    Created on : 2016-01-12, 17:54:13
    Author     : azurawski
*/
/*#mapa{
    border:1px solid black;
}*/


/* This will be applied to all HTML in the page and not just PrimeFaces components*/

root {
    font-family: Arial, Helvetica, sans-serif !important;
    font-size: 10px !important;
}
/* We can adjust the font-size value if we wish to make PrimeFaces components stand out by making them larger or smaller so that they don't take up as much space on the page */

.ui-widget {
    font-family: Arial, Helvetica, sans-serif !important;
    font-size: 10px !important;
}
.ui-widget .ui-widget {
    font-family: Arial, Helvetica, sans-serif !important;
    font-size: 10px !important;
}

div.mv_scale{
    width:100px;
    border: 1px solid black;
    background-color: #ffffff;
    padding:2px;
    text-align: center;
}


#menu2{
   position: absolute;
   left:30px;
   top:10px;
   width:255px;
   height:21px;
   background-color:transparent;
   z-index:1000;    
}
#menu2 input{
   width:24px;
   height:24px;
   margin-right:5px;
   cursor:pointer;
   background-color:lightgray;
   background-repeat: no-repeat;
   background-position: 2px 2px;
}
#ortoselect{
   position: absolute;
   left:30px;
   top:44px;
   width:340px;
   height:21px;
   background-color:transparent;
   z-index:1000;    
}
#ortoselect table{
    padding:0;margin:0;
}    
#ortoselect table td{
    padding:0;margin:0;vertical-align:top; overflow: hidden;
}    
#ortoselect .btn_mapa{
    margin-right:40px;height:18px;
}
#ortoselect .btn_zdjecia{height:18px;}
#ortoselect .btn_historia{padding:0;margin:0;height:18px;}
#ortoselect .hidden{display:none}
#ortoselect .radioZdjecia{position:relative;margin:2px;padding:0;width:15px;}
#ortoselect .radioMapa{position:relative;margin:2px;padding:0;width:15px;}
#ortoselect .chkHistoria{position:relative;margin:2px;padding:0;width:15px}
.mapDecoration{border:1px solid black;}

#ortoselect.orto_wybor{
   position: absolute;
   right:30px;
   background-color:transparent;
}

#historia{
    margin-left:25px;
}

#ortoselect.orto_wybor ul span{
    vertical-align: 3px;
}

#ortoselect.orto_wybor ul{
    list-style: none;
    padding: 0;
    margin: 0;
    border: 2px solid lightgray;
    position: relative;
}    
#ortoselect input{
   width:100px;
   font-size: 8pt;
   font-family: Arial CE, CE Helvetica, sans-serif;	
   margin-right:5px;
   cursor:pointer;
   background-color:lightgray;
}
#ortoselect input.active{
   color:white;
   font-weight:bold;
   background-color:#4E88AE;
}
#ortoselect input.inset{
   border-style: inset;
   color:white;
   font-weight:bold;
   background-color:#3C6886;
}
#ortoselect input.active_mouseover{
   color:white;
   font-weight:bold;
   background-color:#4E88AE;
   text-decoration:underline;
}
#ortoselect input.mouseover{
   color:white;
   font-weight:bold;
   text-decoration:underline;
   background-color:#4E88AE;
}
#ortoselect_mapa{
    background-color: white;
    border: 2px solid white;
    height: auto;
    margin-top:10px;
/*    position: relative;
    top: 2px;*/
    width: 135px;
}
#ortoselect_zdjecia{
    background-color: white;
    border: 2px solid white;
    height: auto;
    margin-top:10px;
/*    left: 105px;
    position: relative;
    top: 2px;
*/    
    width: 96px;
}
#ortoselect_historia{
    background-color: white;
    border: 2px solid white;
    height: auto;
    margin-top:10px;
/*    left: 235px;
    position: relative;
    top: 2px;*/
    width: 125px;
}


.display_none{display:none};
.margin-left_120px{margin-left: 120px;}
.position_absolute_width_100_heigth_100{position:absolute;width:100%;heigth:100%}

.themeswitcher-nova-light{  background: url('/wyszukiwanie/faces/javax.faces.resource/images/themeswitcher-nova-light.png')   no-repeat; height:16px; width:16px;}
.themeswitcher-nova-dark{   background: url('/wyszukiwanie/faces/javax.faces.resource/images/themeswitcher-nova-dark.png')    no-repeat; height:16px; width:16px;}
.themeswitcher-nova-colored{background: url(themeswitcher-nova-colored.png) no-repeat; height:16px; width:16px;}
.themeswitcher-luna-blue{   background: url(themeswitcher-luna-blue.png)    no-repeat; height:16px; width:16px;}
.themeswitcher-luna-amber{  background: url(themeswitcher-luna-amber.png)   no-repeat; height:16px; width:16px;}
.themeswitcher-luna-green{  background: url(themeswitcher-luna-green.png)   no-repeat; height:16px; width:16px;}
.themeswitcher-luna-pink{   background: url(themeswitcher-luna-pink.png)    no-repeat; height:16px; width:16px;}
.themeswitcher-omega{       background: url(themeswitcher-omega.png)        no-repeat; height:16px; width:16px;}


.ulicaAdresyMapa{
    padding:0;margin:0;
    font-size: 8pt;
    font-weight: bold;
}
.ulicaAdresyMapa .outputLink table{
   padding:0;margin:0;
}

.ui-state-focus, input:focus, .ulicaAdresyMapa .outputLink:focus table,.exportDanych .commandLink:focus img{
     border: 2px  solid black !important;
     border-radius: 5px;
     box-shadow: 10px 10px 5px grey !important;
}

.ui-inputfield.ui-state-hoover {
     border: 2px  solid red !important;
     border-radius: 5px;
     box-shadow: 10px 10px 5px grey !important;
}

/*ui-treenode-label ui-corner-all ui-state-highlight*/

.ui-state-highlight{
 background-color: gray !important; 
}


.exportDanych{
}
.exportDanych .ui-widget-content{
    border:0;
}
.exportDanych .commandLink:focus{
    border:0;
}
.exportDanych .commandLink img{
   border:3px solid greenyellow; 
}    
.exportDanych .commandLink:hover img, .exportDanych .commandLink:focus img{
   border:3px outset greenyellow; 
}    
.exportDanych .commandLink:active img{
   border:3px inset greenyellow; 
}
.content_center{
    display: flex;
    justify-content: center;
    align-items: center;
}

#exportCmd{border:none;}
#exportWszystkieWybrane{border:none;}
#exportTylkoStrona{border:none;}

#exportCmd .ui-panel .ui-panel-content{
    border:none;
}

#exportCmd_content{
    border:none;
}



/*
.fieldset{
    margin-top: 2x;
    margin-bottom: 2px;
    margin-left: 1px;
    margin-right: 1px;
    padding-left: 0;
    padding-right: 0;
    height: 22px !important;
    line-height: 22px !important;
}
*/










.ui-fieldset{                                   /*Maincontainer*/
}                                                
.ui-fieldset-toggleable{                        /*Main container when fieldset is toggleable*/
    margin:2px;
}                                                
.ui-fieldset .ui-fieldset-legend{               /*Legend of fieldset*/
}                                                
.ui-fieldset-toggleable .ui-fieldset-legend{	/*Legend of fieldset when fieldset is toggleable*/
    height: 25px !important;
    line-height: 25px !important;
    width: 180px !important;
    padding: 0 !important;
}                                                
.ui-fieldset-toggler{              /*Toggle icon on fieldset*/
}                                                


.ui-layout{	/*Main wrapper container element*/
}    
.ui-layout-doc{	/*Layout container*/
}    
.ui-layout-unit{	/*Each layout unit container*/
    padding: 0 !important;
    margin: 0 !important;
    border: none !important;
}    
/*.ui-layout-{position}{	Position based layout unit*/
.ui-layout-unit-header{     /*Layout unit header*/
    display: none;
}    
.ui-layout-unit-content{	/*Layout unit body*/
}    
.themeSwitcher{
    z-index:999;
    width:90% !important;
    
}
.themeSwitcher ui-selectonemenu-items-wrapper{
    max-height:120px;
}

.themeSwitcher .img{height:15px;width:15px;}

.themeSwitcher .ui-selectonemenu-panel{
}
.themeSwitcher .ui-selectonemenu-panel .ui-selectonemenu-items-wrapper{
    max-height: 200px !important;
}
/*
.themeSwitcher{position:relative;width:90% !important;}
    height: 20px;
.obiekty_formularz_2{margin: 0;padding: 0;}
.ui-fieldset-toggleable .ui-fieldset-legend {
    height: 22px !important;
    width:80% !important;
    vertical-align: central !important;
}    

.ui-fieldset-legend .ui-corner-all .ui-state-default{
}
.ulicaAdresyMapa .outputLink:focus table{
     outline: 2px  solid black !important;
     border-radius: 5px;
     box-shadow: 10px 10px 5px darkgray !important;
}
*:focus{
     border: 2px  solid black !important;
     border-radius: 5px;
     box-shadow: 10px 10px 5px grey !important;
}
     outline: 2px  solid black !important;
.ui-inputfield.ui-state-focus {
.ui-inputfield.ui-state-hoover {
     border: 5px dashed red !important;
     outline: 10px  groove #6C8197 !important;
}



.ui-state-focus {
     outline: 2px  solid black !important;
     box-shadow: 10px 10px 5px grey !important;
}

*/


body {
    font-family: Arial, Helvetica, sans-serif !important;
    font-size: 10px !important;
    margin: 0;
    padding:0;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
} 
body .ui-widget:not(.pi), body .ui-widget .ui-widget:not(.pi) {
    font-family: Arial, Helvetica, sans-serif !important;
    font-size: 10px !important;
}


#mapa img{
    border:1px solid red;
}
#zdjecia{
    
}
div.MVSterowaniePanel{
    background-color:white;
    height:100%;
    line-height: 100%;
    vertical-align: middle;
}
div.MVSterowaniePanel a{
    
}

    #overview_map1{
       position:absolute;
       right:2px;
       bottom:2px;
       height:130px;
       width:130px;
       z-index:1000;
    }
    #overview_map{
       position:absolute;
       right:2px;
       left:2px;
       top:2px;
       bottom:2px;
       border-left: 2px solid #F4F4F4;
       border-top: 2px solid #F4F4F4;   
    }
    #overview_map_hide{
       position:absolute;
       left:2px;
       top:2px;
       width:20px;
       height:20px;
       background-color:#F4F4F4;
       z-index:1001;
       cursor:pointer;
    }
    #overview_map_show{
       position:absolute;
       right:4px;
       bottom:4px;
       width:20px;
       height:20px;
       background-color:#F4F4F4;
       z-index:1001;
       display:none;
       cursor:pointer;
    }
    
    #overview_marker{
        width: 7px;
        height: 7px;
        background-color: red;
        z-index: 1001;
        position: relative;
        margin-left:50%;
        margin-top:50%;
    }
    
    #print_preview_map{
        width:100%;
    }
    
    #print_preview_map img{
        width:100%;
        overflow:hidden;
    }
    #print_preview_skala{
        min-height: 50px;
    }
    
 /*.drukujMapeDlgImage{width:800px;height:800px}*/
.drukujMapeDlgImage .header{min-height: 30px}
.drukujMapeDlgImage .content{
    width:100%;
    min-height: 80px;
}

.drukujMapeDlgImage .footer{min-height: 60px}
.drukujMapeDlgImage .header .img{vertical-align: middle; margin: 0px 10px 0px 10px}
.drukujMapeDlgImage .header .text{margin-bottom: 20px}
.drukujMapeDlgImage .skala{min-height: 15px}
   
    
    
   
    #map{
        position:relative;
        width: 100%;
        height: 100%;
    }        
    
    
    
    #acUlica {
        width:95%;
    }
    #acUlica .ui-autocomplete-input{
        width:100%;
    }    
    
    #panelWyszukiwanie{
        width: 100%;
    }    
    
    
    
#poprzedni_widok {        background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/icon_zoomprev.gif);}
#nastepny_widok {         background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/icon_zoomnext.gif);}
#pokaz_calosc {           background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/icon_fitwindow.gif);}
#powiekszanie_prostokat { background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/icon_zoomrect.gif);}
#link {                   background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/world_link.gif);}
#drukuj {                 background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/printer.png);}
#dzialki_szukaj {         background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/icon_search.gif);}
#zaznaczenie_wyczysc {    background-image:url(/wyszukiwanie/faces/javax.faces.resource/images/clear.gif);}

#progress_spinning{ top:50%;left:50%}    